Package com.usatiuk.dhfsfs.objects

# Class FileDtoMapper

java.lang.Object
com.usatiuk.dhfsfs.objects.FileDtoMapper

All Implemented Interfaces:
  `DtoMapper<File,FileDto>`

@ApplicationScoped public class FileDtoMapper extends Object implements DtoMapper<File,FileDto>
Maps a `File` object to a `FileDto` object and vice versa.

## Constructor Summary

Constructors
Constructor
Description
`FileDtoMapper()`

## Method Summary

Modifier and Type
Method
Description
`File`
`fromDto(FileDto dto)`
`FileDto`
`toDto(File obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileDtoMapper

public FileDtoMapper()

## Method Details

### toDto

public FileDto toDto(File obj)

Specified by:
  `toDto` in interface `DtoMapper<File,FileDto>`

### fromDto

public File fromDto(FileDto dto)

Specified by:
  `fromDto` in interface `DtoMapper<File,FileDto>`